> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alumio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get tasksstatisticsenvironmenttime series

> Get totals statistics for the environment aggregated by a timespan



## OpenAPI

````yaml /schema.json get /tasks/statistics/environment/time_series
openapi: 3.1.0
info:
  version: 01KVQG1C20MKD0B8FDPE4RHEDH
  title: Alumio API
  description: Access Alumio through OpenAPI v3.1.
servers:
  - url: /api/v1
security: []
paths:
  /tasks/statistics/environment/time_series:
    get:
      tags:
        - TaskLogger
      description: Get totals statistics for the environment aggregated by a timespan
      operationId: getEnvironmentTaskStatisticsTimeSeries
      parameters:
        - name: filter
          in: query
          description: Apply search criteria
          required: true
          schema:
            type: string
        - name: aggregation
          in: query
          description: Aggregation level for the task statistics
          required: false
          schema:
            type: string
            default: monthly
            enum:
              - daily
              - weekly
              - monthly
              - yearly
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskTimeSeriesStatisticsResult'
        default:
          description: Unexpected Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    TaskTimeSeriesStatisticsResult:
      type: object
      properties:
        results:
          type: array
          items:
            type: object
            properties:
              date:
                type: string
                title: Date
                description: Date of aggregation
              new:
                type: integer
                title: New
                description: Log items
              processing:
                type: integer
                title: Processing
                description: Log items
              finished:
                type: integer
                title: Finished
                description: Log items
              failed:
                type: integer
                title: Failed
                description: Log items
              skipped:
                type: integer
                title: Skipped
                description: Log items
    Error:
      type: object
      properties:
        status:
          type: string
        context:
          type: object
        type:
          type: string
        title:
          type: string
        detail:
          type: string
        violations:
          type: array
          items:
            type: object
            properties:
              title:
                type: string
              propertyPath:
                type: string
              type:
                type: string

````